declare namespace _default {
    export { TRichSelect as component };
    export namespace props {
        namespace fixedClasses {
            let wrapper: string;
            let buttonWrapper: string;
            let selectButton: string;
            let selectButtonLabel: string;
            let selectButtonTagWrapper: string;
            let selectButtonTag: string;
            let selectButtonTagText: string;
            let selectButtonTagDeleteButton: string;
            let selectButtonTagDeleteButtonIcon: string;
            let selectButtonPlaceholder: string;
            let selectButtonIcon: string;
            let selectButtonClearButton: string;
            let selectButtonClearIcon: string;
            let dropdown: string;
            let dropdownFeedback: string;
            let loadingMoreResults: string;
            let optionsList: string;
            let searchWrapper: string;
            let searchBox: string;
            let optgroup: string;
            let option: string;
            let disabledOption: string;
            let highlightedOption: string;
            let selectedOption: string;
            let selectedHighlightedOption: string;
            let optionContent: string;
            let optionLabel: string;
            let selectedIcon: string;
            let enterClass: string;
            let enterActiveClass: string;
            let enterToClass: string;
            let leaveClass: string;
            let leaveActiveClass: string;
            let leaveToClass: string;
        }
        namespace classes {
            let wrapper_1: string;
            export { wrapper_1 as wrapper };
            let buttonWrapper_1: string;
            export { buttonWrapper_1 as buttonWrapper };
            let selectButton_1: string;
            export { selectButton_1 as selectButton };
            let selectButtonLabel_1: string;
            export { selectButtonLabel_1 as selectButtonLabel };
            let selectButtonTagWrapper_1: string;
            export { selectButtonTagWrapper_1 as selectButtonTagWrapper };
            let selectButtonTag_1: string;
            export { selectButtonTag_1 as selectButtonTag };
            let selectButtonTagText_1: string;
            export { selectButtonTagText_1 as selectButtonTagText };
            let selectButtonTagDeleteButton_1: string;
            export { selectButtonTagDeleteButton_1 as selectButtonTagDeleteButton };
            let selectButtonTagDeleteButtonIcon_1: string;
            export { selectButtonTagDeleteButtonIcon_1 as selectButtonTagDeleteButtonIcon };
            let selectButtonPlaceholder_1: string;
            export { selectButtonPlaceholder_1 as selectButtonPlaceholder };
            let selectButtonIcon_1: string;
            export { selectButtonIcon_1 as selectButtonIcon };
            let selectButtonClearButton_1: string;
            export { selectButtonClearButton_1 as selectButtonClearButton };
            let selectButtonClearIcon_1: string;
            export { selectButtonClearIcon_1 as selectButtonClearIcon };
            let dropdown_1: string;
            export { dropdown_1 as dropdown };
            let dropdownFeedback_1: string;
            export { dropdownFeedback_1 as dropdownFeedback };
            let loadingMoreResults_1: string;
            export { loadingMoreResults_1 as loadingMoreResults };
            let optionsList_1: string;
            export { optionsList_1 as optionsList };
            let searchWrapper_1: string;
            export { searchWrapper_1 as searchWrapper };
            let searchBox_1: string;
            export { searchBox_1 as searchBox };
            let optgroup_1: string;
            export { optgroup_1 as optgroup };
            let option_1: string;
            export { option_1 as option };
            let disabledOption_1: string;
            export { disabledOption_1 as disabledOption };
            let highlightedOption_1: string;
            export { highlightedOption_1 as highlightedOption };
            let selectedOption_1: string;
            export { selectedOption_1 as selectedOption };
            let selectedHighlightedOption_1: string;
            export { selectedHighlightedOption_1 as selectedHighlightedOption };
            let optionContent_1: string;
            export { optionContent_1 as optionContent };
            let optionLabel_1: string;
            export { optionLabel_1 as optionLabel };
            let selectedIcon_1: string;
            export { selectedIcon_1 as selectedIcon };
            let enterClass_1: string;
            export { enterClass_1 as enterClass };
            let enterActiveClass_1: string;
            export { enterActiveClass_1 as enterActiveClass };
            let enterToClass_1: string;
            export { enterToClass_1 as enterToClass };
            let leaveClass_1: string;
            export { leaveClass_1 as leaveClass };
            let leaveActiveClass_1: string;
            export { leaveActiveClass_1 as leaveActiveClass };
            let leaveToClass_1: string;
            export { leaveToClass_1 as leaveToClass };
        }
        let variants: {
            primary: {};
            secondary: {
                selectButton: string;
                selectButtonTag: string;
                dropdown: string;
                searchBox: string;
            };
            tertiary: {};
            alabaster: {};
            'white-smoke': {};
            haiti: {
                wrapper: string;
                buttonWrapper: string;
                selectButton: string;
                selectButtonLabel: string;
                selectButtonTagWrapper: string;
                selectButtonTag: string;
                selectButtonTagText: string;
                selectButtonTagDeleteButton: string;
                selectButtonTagDeleteButtonIcon: string;
                selectButtonPlaceholder: string;
                selectButtonIcon: string;
                selectButtonClearButton: string;
                selectButtonClearIcon: string;
                dropdown: string;
                dropdownFeedback: string;
                loadingMoreResults: string;
                optionsList: string;
                searchWrapper: string;
                searchBox: string;
                optgroup: string;
                option: string;
                disabledOption: string;
                highlightedOption: string;
                selectedOption: string;
                selectedHighlightedOption: string;
                optionContent: string;
                optionLabel: string;
                selectedIcon: string;
                enterClass: string;
                enterActiveClass: string;
                enterToClass: string;
                leaveClass: string;
                leaveActiveClass: string;
                leaveToClass: string;
            };
            mirage: {
                wrapper: string;
                buttonWrapper: string;
                selectButton: string;
                selectButtonLabel: string;
                selectButtonTagWrapper: string;
                selectButtonTag: string;
                selectButtonTagText: string;
                selectButtonTagDeleteButton: string;
                selectButtonTagDeleteButtonIcon: string;
                selectButtonPlaceholder: string;
                selectButtonIcon: string;
                selectButtonClearButton: string;
                selectButtonClearIcon: string;
                dropdown: string;
                dropdownFeedback: string;
                loadingMoreResults: string;
                optionsList: string;
                searchWrapper: string;
                searchBox: string;
                optgroup: string;
                option: string;
                disabledOption: string;
                highlightedOption: string;
                selectedOption: string;
                selectedHighlightedOption: string;
                optionContent: string;
                optionLabel: string;
                selectedIcon: string;
                enterClass: string;
                enterActiveClass: string;
                enterToClass: string;
                leaveClass: string;
                leaveActiveClass: string;
                leaveToClass: string;
            };
        };
    }
}
export default _default;
import { TRichSelect } from 'vue-tailwind/dist/components';
//# sourceMappingURL=TRichSelect.d.ts.map